Subject: Cisco PingMib service

From: Michael Samuel <[email-masked]>
Date: Mon, 10 May 2004 12:00:16 +1000

Hi,

I'd like to write a new service for Argus, to add support for Cisco's
ping mib (which asks the router to perform a ping).

I've written an external program which does it, but I'd like to write it
as a builtin service, so I can take advantage of the config file a bit
better. (And avoid having community strings viewable via the web
interface)

Can anyone give me some quick hints as to how I'd go about it. (I'm
thinking along the lines of creating a sub-class of SNMP, but I'd like
to hear from people in the know first)

-- 
Michael Samuel
IP Systems Pty Ltd
Email: <[email-masked]>
Phone: +61 3 9658 0621
Fax: +61 3 9662 9820